# $Revision: 1.15 $, $Date: 2008/07/27 22:25:15 $
#
# Conditional build:
%bcond_without	static_libs # don't build static library
#
Summary:	C++ wrappers for libgda
Summary(pl.UTF-8):	Interfejsy C++ dla libgda
Name:		libgdamm
Version:	1.3.7
Release:	4
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgdamm/1.3/%{name}-%{version}.tar.gz
# Source0-md5:	1983066281586eec6a6a5cc13adedf4d
BuildRequires:	glibmm-devel >= 2.11.3
BuildRequires:	libgda-devel >= 1:1.2.3
BuildRequires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for libgda.

%description -l pl.UTF-8
Interfejsy C++ dla libgda.

%package devel
Summary:	Header files for libgdamm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgdamm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel >= 2.11.3
Requires:	libgda-devel >= 1:1.2.3

%description devel
Header files for libgdamm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgdamm.

%package static
Summary:	Static libgdamm library
Summary(pl.UTF-8):	Statyczna biblioteka libgdamm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgdamm library.

%description static -l pl.UTF-8
Statyczna biblioteka libgdamm.

%prep
%setup -q

%build
%configure \
	%{?with_static_libs:--enable-static=yes}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/libgdamm-2.0
%{_includedir}/*
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgdamm.spec,v $
Revision 1.15  2008/07/27 22:25:15  arekm
- release 4

Revision 1.14  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.12  2006/08/11 20:36:36  freetz
- rel.3, HEAD deps

Revision 1.11  2005/10/30 12:24:35  arekm
- rel 2

Revision 1.10  2005/07/25 19:32:06  freetz
- 1.3.7, not ready for gda 1.3.x yet

Revision 1.9  2005/07/09 20:18:10  twittner
- fixed %%{?with_static_libs}

Revision 1.8  2005/07/09 19:58:26  twittner
- added bcond_without static_libs

Revision 1.7  2005/04/24 09:52:20  freetz
- 1.3.6, gpm friendly url

Revision 1.6  2005/02/04 17:10:59  grzegol
- rel. 2 to rebuild with libgda-1.2.0

Revision 1.5  2004/12/01 23:54:51  grzegol
- updated to 1.3.5

Revision 1.4  2004/06/09 13:30:30  grzegol
- updated to 1.3.4

Revision 1.3  2004/06/01 12:23:50  grzegol
- updated to 1.3.3
- strict internal deps

Revision 1.2  2003/10/07 11:38:34  qboosh
- -devel deps

Revision 1.1  2003/10/02 17:42:41  grzegol
- new
